package com.fs.qw.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fs.common.utils.DateUtils;
import com.fs.qw.domain.QwIpadServerLog;
import com.fs.qw.mapper.QwIpadServerLogMapper;
import com.fs.qw.param.IPadServerLogParam;
import com.fs.qw.service.IQwIpadServerLogService;
import com.fs.qw.vo.QwIPadServerLogVO;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

/**
 * ipad服务器日志Service业务层处理
 *
 * @author fs
 * @date 2025-04-29
 */
@Service
public class QwIpadServerLogServiceImpl extends ServiceImpl<QwIpadServerLogMapper, QwIpadServerLog> implements IQwIpadServerLogService {

    /**
     * 查询ipad服务器日志
     *
     * @param id ipad服务器日志主键
     * @return ipad服务器日志
     */
    @Override
    public QwIpadServerLog selectQwIpadServerLogById(Long id)
    {
        return baseMapper.selectQwIpadServerLogById(id);
    }

    /**
     * 查询ipad服务器日志列表
     *
     * @param qwIpadServerLog ipad服务器日志
     * @return ipad服务器日志
     */
    @Override
    public List<QwIpadServerLog> selectQwIpadServerLogList(QwIpadServerLog qwIpadServerLog)
    {
        return baseMapper.selectQwIpadServerLogList(qwIpadServerLog);
    }

    @Override
    public List<QwIPadServerLogVO> selectIpadServerLogList(IPadServerLogParam iPadServerLogParam) {
        return baseMapper.selectIpadServerLogList(iPadServerLogParam);
    }

    /**
     * 新增ipad服务器日志
     *
     * @param qwIpadServerLog ipad服务器日志
     * @return 结果
     */
    @Override
    public int insertQwIpadServerLog(QwIpadServerLog qwIpadServerLog)
    {
        qwIpadServerLog.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertQwIpadServerLog(qwIpadServerLog);
    }

    /**
     * 修改ipad服务器日志
     *
     * @param qwIpadServerLog ipad服务器日志
     * @return 结果
     */
    @Override
    public int updateQwIpadServerLog(QwIpadServerLog qwIpadServerLog)
    {
        return baseMapper.updateQwIpadServerLog(qwIpadServerLog);
    }

    /**
     * 批量删除ipad服务器日志
     *
     * @param ids 需要删除的ipad服务器日志主键
     * @return 结果
     */
    @Override
    public int deleteQwIpadServerLogByIds(Long[] ids)
    {
        return baseMapper.deleteQwIpadServerLogByIds(ids);
    }

    /**
     * 删除ipad服务器日志信息
     *
     * @param id ipad服务器日志主键
     * @return 结果
     */
    @Override
    public int deleteQwIpadServerLogById(Long id)
    {
        return baseMapper.deleteQwIpadServerLogById(id);
    }
}
